Name:		ttfautohint
Version:	1.6
Release:	%mkrel 1
Summary:	The ttfautohint utility for TrueType fonts
Group:		Publishing
License:	FTL or GPLv2
Url:		http://www.freetype.org/ttfautohint
Source0:	http://download.savannah.gnu.org/releases/freetype/%{name}-%{version}.tar.gz
BuildRequires:	freetype2-devel
BuildRequires:	harfbuzz-devel
BuildRequires:	qtbase5-common-devel
BuildRequires:	qt5core-devel
BuildRequires:	qt5widgets-devel
BuildRequires:	qt5gui-devel

%description
ttfautohint is a library written in C which takes a TrueType font as the
input, removes its bytecode instructions (if any), and returns a new font
where all glyphs are bytecode hinted using the information given by
FreeType's autohinting module. The idea is to provide the excellent quality
of the autohinter on platforms which don't use FreeType.

%package gui
Summary:	Qt based GUI for the ttfautohint utility for TrueType fonts
Group:		Publishing

%description gui
ttfautohint is a library written in C which takes a TrueType font as the
input, removes its bytecode instructions (if any), and returns a new font
where all glyphs are bytecode hinted using the information given by
FreeType's autohinting module. The idea is to provide the excellent quality
of the autohinter on platforms which don't use FreeType.

%prep
%setup -q

%build
export PATH=$PATH:%{_qt5_bindir}
%configure2_5x \
	--disable-rpath \
	--disable-static
%make_build

%install
%make_install

%files
%doc AUTHORS README TODO THANKS NEWS
%license COPYING *.TXT
%{_bindir}/ttfautohint

%files gui
%doc AUTHORS README TODO THANKS NEWS
%license COPYING *.TXT
%{_bindir}/ttfautohintGUI


%changelog
* Fri Jan 13 2017 wally <wally> 1.6-1.mga6
+ Revision: 1081497
- new version 1.6
- build GUI with Qt5

* Wed Feb 17 2016 umeabot <umeabot> 1.3-2.mga6
+ Revision: 963112
- Mageia 6 Mass Rebuild

* Sat Jun 20 2015 wally <wally> 1.3-1.mga6
+ Revision: 836244
- new version 1.3

* Wed Oct 15 2014 umeabot <umeabot> 1.1-3.mga5
+ Revision: 739591
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-2.mga5
+ Revision: 689966
- Mageia 5 Mass Rebuild

* Wed Jun 18 2014 wally <wally> 1.1-1.mga5
+ Revision: 637985
- new version 1.1

* Fri Mar 28 2014 wally <wally> 1.00-1.mga5
+ Revision: 609112
- new version 1.00

* Tue Feb 04 2014 wally <wally> 0.97-1.mga5
+ Revision: 581813
- new version 0.97

* Sat Oct 19 2013 umeabot <umeabot> 0.96-2.mga4
+ Revision: 532265
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 wally <wally> 0.96-1.mga4
+ Revision: 467636
- import ttfautohint (based on .spec from diogenese)

